<?php

namespace App;

use App\Models\UserDevice;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Passport\HasApiTokens;

class User extends Authenticatable
{
    use Notifiable, HasApiTokens;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password', 'role',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function device()
    {
        return $this->hasMany(UserDevice::class);
    }

    public function getIsAdminAttribute()
    {
        if ($this->attributes['role'] == 'user') {
            return false;
        }

        return true;
    }
}
